Skip to content

Get Entity Relationships

GET
/api/v1/knowledge-graph/entities/{entity_id}/relationships
curl --request GET \
--url https://api.ultimateteam.ai/api/v1/knowledge-graph/entities/example/relationships \
--header 'X-API-Key: <X-API-Key>'

Get all outgoing relationships for an entity.

entity_id
required
Entity Id
string

Successful Response

Media typeapplication/json
Response Get Entity Relationships Api V1 Knowledge Graph Entities Entity Id Relationships Get
Array<object>
RelationshipResponse
object
confidence
required
Confidence
number
from_entity_id
required
From Entity Id
string
id
required
Id
string
relationship_type
required
Relationship Type
string
to_entity_id
required
To Entity Id
string
Examplegenerated
[
{
"confidence": 1,
"from_entity_id": "example",
"id": "example",
"relationship_type": "example",
"to_entity_id": "example"
}
]

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}